RDKit: RDKit::MolAlign::O3A Class Reference

| RDKit Open-source cheminformatics and machine learning.

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | List of all members
RDKit::MolAlign::O3A Class Reference

`#include <O3AAlignMolecules.h>`

## Public Types
enum | AtomTypeScheme { MMFF94 = 0, CRIPPEN }
| pre-defined atom typing schemes More...

## Public Member Functions
| O3A (ROMol &prbMol, const ROMol &refMol, void *prbProp, void *refProp, AtomTypeScheme atomTypes=MMFF94, const int prbCid=-1, const int refCid=-1, const bool reflect=false, const unsigned int maxIters=50, unsigned int options=0, const MatchVectType *constraintMap=NULL, const RDNumeric::DoubleVector *constraintWeights=NULL, LAP *extLAP=NULL, MolHistogram *extPrbHist=NULL, MolHistogram *extRefHist=NULL)
| O3A (int(*costFunc)(const unsigned int, const unsigned int, double, void *), double(*weightFunc)(const unsigned int, const unsigned int, void *), double(*scoringFunc)(const unsigned int, const unsigned int, void *), void *data, ROMol &prbMol, const ROMol &refMol, const int prbCid, const int refCid, boost::dynamic_bitset<> *prbHvyAtoms=NULL, boost::dynamic_bitset<> *refHvyAtoms=NULL, const bool reflect=false, const unsigned int maxIters=50, unsigned int options=0, O3AConstraintVect *o3aConstraintVect=NULL, ROMol *extWorkPrbMol=NULL, LAP *extLAP=NULL, MolHistogram *extPrbHist=NULL, MolHistogram *extRefHist=NULL)
| ~O3A ()
double | align ()
double | trans (RDGeom::Transform3D &trans)
double | score ()
const RDKit::MatchVectType * | matches ()
const RDNumeric::DoubleVector * | weights ()

## Detailed Description

Definition at line 272 of file O3AAlignMolecules.h.

## Member Enumeration Documentation

enum RDKit::MolAlign::O3A::AtomTypeScheme

pre-defined atom typing schemes

Enumerator
MMFF94 |
CRIPPEN |

Definition at line 275 of file O3AAlignMolecules.h.

## Constructor & Destructor Documentation

RDKit::MolAlign::O3A::O3A | ( | ROMol & | prbMol,
|  | const ROMol & | refMol,
|  | void * | prbProp,
|  | void * | refProp,
|  | AtomTypeScheme | atomTypes = `MMFF94`,
|  | const int | prbCid = `-1`,
|  | const int | refCid = `-1`,
|  | const bool | reflect = `false`,
|  | const unsigned int | maxIters = `50`,
|  | unsigned int | options = `0`,
|  | const MatchVectType * | constraintMap = `NULL`,
|  | const RDNumeric::DoubleVector * | constraintWeights = `NULL`,
|  | LAP * | extLAP = `NULL`,
|  | MolHistogram * | extPrbHist = `NULL`,
|  | MolHistogram * | extRefHist = `NULL`
| ) |  |

RDKit::MolAlign::O3A::O3A | ( | int(*)(const unsigned int, const unsigned int, double, void *) | costFunc,
|  | double(*)(const unsigned int, const unsigned int, void *) | weightFunc,
|  | double(*)(const unsigned int, const unsigned int, void *) | scoringFunc,
|  | void * | data,
|  | ROMol & | prbMol,
|  | const ROMol & | refMol,
|  | const int | prbCid,
|  | const int | refCid,
|  | boost::dynamic_bitset<> * | prbHvyAtoms = `NULL`,
|  | boost::dynamic_bitset<> * | refHvyAtoms = `NULL`,
|  | const bool | reflect = `false`,
|  | const unsigned int | maxIters = `50`,
|  | unsigned int | options = `0`,
|  | O3AConstraintVect * | o3aConstraintVect = `NULL`,
|  | ROMol * | extWorkPrbMol = `NULL`,
|  | LAP * | extLAP = `NULL`,
|  | MolHistogram * | extPrbHist = `NULL`,
|  | MolHistogram * | extRefHist = `NULL`
| ) |  |

RDKit::MolAlign::O3A::~O3A | ( |  | ) |
| inline

Definition at line 294 of file O3AAlignMolecules.h.

## Member Function Documentation

double RDKit::MolAlign::O3A::align | ( |  | ) |

const RDKit::MatchVectType* RDKit::MolAlign::O3A::matches | ( |  | ) |
| inline

Definition at line 305 of file O3AAlignMolecules.h.

double RDKit::MolAlign::O3A::score | ( |  | ) |
| inline

Definition at line 304 of file O3AAlignMolecules.h.

double RDKit::MolAlign::O3A::trans | ( | RDGeom::Transform3D & | trans | ) |

const RDNumeric::DoubleVector* RDKit::MolAlign::O3A::weights | ( |  | ) |
| inline

Definition at line 306 of file O3AAlignMolecules.h.

The documentation for this class was generated from the following file:

- O3AAlignMolecules.h